# -*- coding: utf-8 -*-
from PyQt5 import QtWidgets, QtCore
import sys
def on_clicked():
    file = QtWidgets.QFileDialog.getOpenFileName(parent=None, caption="Заголовок окна", directory="c:\\Python34", filter="All (*);;py (*.py *.pyw)", initialFilter="py (*.py *.pyw)")
    fileName = file[0]
    if fileName != "":
        lineEdit1.setText(fileName)

def on_clicked_url():
    file = QtWidgets.QFileDialog.getOpenFileUrl(parent=None, directory="file:///c:\\Python34", filter="All (*);;py (*.py *.pyw)", initialFilter="py (*.py *.pyw)")
    fileName = file[0].toLocalFile()
    if fileName != "":
        lineEdit2.setText(fileName)



app = QtWidgets.QApplication(sys.argv)
window = QtWidgets.QWidget()          # Родительский компонент - окно
window.setWindowTitle("Выбор файла")
# Назначаем обработчиками функции
button1 = QtWidgets.QPushButton("Строка")
lineEdit1 = QtWidgets.QLineEdit()
button2 = QtWidgets.QPushButton("Url")
lineEdit2 = QtWidgets.QLineEdit()
grid = QtWidgets.QGridLayout()        # Создаем сетку
grid.addWidget(button1, 0, 0)         # Добавляем компоненты
grid.addWidget(lineEdit1, 0, 1)
grid.addWidget(button2, 1, 0)
grid.addWidget(lineEdit2, 1, 1)
button1.clicked.connect(on_clicked)
button2.clicked.connect(on_clicked_url)
window.setLayout(grid)
window.show()
sys.exit(app.exec_())
